apiVersion: helm.toolkit.fluxcd.io/v2beta1
kind: HelmRelease
metadata:
  name: qa-nginx-app-service
  namespace: flux-system
spec:
  interval: 1m0s
  releaseName: qa-nginx-app-service  # default is [TargetNamespace-Name]
  targetNamespace: qa
  chart:
    spec:
      chart: nginx-app-service
      sourceRef:
        kind: GitRepository
        name: k8s-configuration-helm3
      valuesFiles:
        - ./nginx-app-service/values.yaml
        - ./nginx-app-service/values-qa.yaml
      interval: 1m